package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0G1 extends MwfRequest<MWF0G1, MWF0G1Response> {

    @Parameter(name = "AppKey")
    MWF0G1 appKey(String appKey);
    @Parameter(name = "CIF")
    MWF0G1 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF0G1 channelId(String channelId);
    @Parameter(name = "CmID")
    MWF0G1 cmID(String cmID);
    @Parameter(name = "InstPtKey")
    MWF0G1 instPtKey(String instPtKey);
    @Parameter(name = "ProdPkgKey")
    MWF0G1 prodPkgKey(Long prodPkgKey);
    @Parameter(name = "SignatureID")
    MWF0G1 signatureID(String signatureID);
}
